Package tigase.kernel.core

# Enum Class BeanConfig.Source

java.lang.Object
java.lang.Enum<BeanConfig.Source>
tigase.kernel.core.BeanConfig.Source

All Implemented Interfaces:
  `Serializable`, `Comparable<BeanConfig.Source>`, `Constable`

Enclosing class:
  BeanConfig

public static enum BeanConfig.Source extends Enum<BeanConfig.Source>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `annotation`
  `configuration`
  `hardcoded`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BeanConfig.Source`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BeanConfig.Source[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### hardcoded

    public static final BeanConfig.Source hardcoded

  - ### annotation

    public static final BeanConfig.Source annotation

  - ### configuration

    public static final BeanConfig.Source configuration

- ## Method Details

  - ### values

    public static BeanConfig.Source[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BeanConfig.Source valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null